package com.muyu.common.core.validation.custom;

import com.muyu.common.core.enums.SysPayType;
import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;


public class SystemPayTypeValidator implements ConstraintValidator<IsSystemPayType, String> {
    @Override
    public boolean isValid (String value, ConstraintValidatorContext constraintValidatorContext) {
        return SysPayType.isCode(value);
    }
}
